using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 试题标签
    /// </summary>
    [Description("试题标签")]
    public class QuestionTagDto:UpdateQuestionTagDto
    {
        /// <summary>
        /// 标签
        /// </summary>
        [Description("标签")]
        public string Tag { get; set; }
    }

    /// <summary>
    /// 试题标签
    /// </summary>
    [Description("试题标签")]
    public class AddQuestionTagDto : IAddRequest, IOperationStatus
    {
        /// <summary>
        /// 标签Id
        /// </summary>
        [Description("标签Id")]
        public string TagId { get; set; }


        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 试题标签
    /// </summary>
    [Description("试题标签")]
    public class UpdateQuestionTagDto : AddQuestionTagDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
